CVE-2009-2417

HIGH

Description

lib/ssluse.c in cURL and libcurl 7.4 through 7.19.5, when OpenSSL is used, does not properly handle a '\0' character in a domain name in the subject's Common Name (CN) field of an X.509 certificate, which allows man-in-the-middle attackers to spoof arbitrary SSL servers via a crafted certificate issued by a legitimate Certification Authority, a related issue to CVE-2009-2408.

References

http://curl.haxx.se/CVE-2009-2417/curl-7.10.6-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.11.0-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.12.1-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.15.1-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.15.5-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.16.4-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.18.1-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.19.0-CVE-2009-2417.patch

http://curl.haxx.se/CVE-2009-2417/curl-7.19.5-CVE-2009-2417.patch

http://curl.haxx.se/docs/adv_20090812.txt

http://lists.apple.com/archives/security-announce/2010//Mar/msg00001.html

http://secunia.com/advisories/36238

http://secunia.com/advisories/36475

http://secunia.com/advisories/37471

http://secunia.com/advisories/45047

http://shibboleth.internet2.edu/secadv/secadv_20090817.txt

http://support.apple.com/kb/HT4077

http://wiki.rpath.com/Advisories:rPSA-2009-0124

http://www.securityfocus.com/archive/1/506055/100/0/threaded

http://www.securityfocus.com/archive/1/507985/100/0/threaded

http://www.securityfocus.com/bid/36032

http://www.ubuntu.com/usn/USN-1158-1

http://www.vmware.com/security/advisories/VMSA-2009-0016.html

http://www.vupen.com/english/advisories/2009/2263

http://www.vupen.com/english/advisories/2009/3316

https://exchange.xforce.ibmcloud.com/vulnerabilities/52405

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10114

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8542

Details

Source: MITRE

Published: 2009-08-14

Updated: 2018-10-10

Type: CWE-310

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:curl:libcurl:7.4:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.4.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.4.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.5:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.5.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.5.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.6:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.6.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.7:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.7.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.7.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.7.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.8:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.8.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9.5:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9.6:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9.7:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.9.8:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.4:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.5:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.6:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.7:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.10.8:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.11.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.11.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.11.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.12.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.13:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.13.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.13.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.14:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.14.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.15.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.16.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.17.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.17.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.18.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.18.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.18.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.0:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.1:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.2:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.3:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.4:*:*:*:*:*:*:*

cpe:2.3:a:curl:libcurl:7.19.5:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.12:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.12.1:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.12.2:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.12.3:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.13:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.13.1:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.13.2:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.14:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.14.1:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.15:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.15.1:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.15.2:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.15.3:*:*:*:*:*:*:*

cpe:2.3:a:libcurl:libcurl:7.16.3:*:*:*:*:*:*:*

Tenable Plugins

View all (30 total)

IDNameProductFamilySeverity
89117VMware ESX / ESXi Multiple Vulnerabilities (VMSA-2009-0016) (remote check)NessusMisc.
critical
79463OracleVM 2.1 : curl (OVMSA-2009-0019)NessusOracleVM Local Security Checks
high
67910Oracle Linux 3 / 4 / 5 : curl (ELSA-2009-1209)NessusOracle Linux Local Security Checks
high
65043Scientific Linux Security Update : curl on SL4.x i386/x86_64NessusScientific Linux Local Security Checks
high
60640Scientific Linux Security Update : curl on SL5.x i386/x86_64NessusScientific Linux Local Security Checks
high
60639Scientific Linux Security Update : curl on SL3.x i386/x86_64NessusScientific Linux Local Security Checks
high
55414Ubuntu 8.04 LTS / 10.04 LTS / 10.10 / 11.04 : curl vulnerabilities (USN-1158-1)NessusUbuntu Local Security Checks
high
5489Mac OS X < 10.6.3 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
45373Mac OS X Multiple Vulnerabilities (Security Update 2010-002)NessusMacOS X Local Security Checks
critical
45372Mac OS X 10.6.x < 10.6.3 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
44734Debian DSA-1869-1 : curl - insufficient input validationNessusDebian Local Security Checks
high
42870VMSA-2009-0016 : VMware vCenter and ESX update release and vMA patch release address multiple security issues in third party components.NessusVMware ESX Local Security Checks
critical
42012openSUSE 10 Security Update : libcurl3 (libcurl3-6401)NessusSuSE Local Security Checks
high
42011openSUSE 10 Security Update : libcurl2 (libcurl2-6404)NessusSuSE Local Security Checks
high
41994openSUSE 10 Security Update : curl (curl-6411)NessusSuSE Local Security Checks
high
41637GLSA-200909-20 : cURL: Certificate validation errorNessusGentoo Local Security Checks
high
41517SuSE 10 Security Update : GnuTLS (ZYPP Patch Number 6470)NessusSuSE Local Security Checks
high
41497SuSE 10 Security Update : curl (ZYPP Patch Number 6402)NessusSuSE Local Security Checks
high
41489SuSE 10 Security Update : compat-curl2 (ZYPP Patch Number 6408)NessusSuSE Local Security Checks
high
41379SuSE 11 Security Update : curl (SAT Patch Number 1173)NessusSuSE Local Security Checks
high
41317SuSE9 Security Update : curl (YOU Patch Number 12467)NessusSuSE Local Security Checks
high
40788openSUSE Security Update : curl (curl-1232)NessusSuSE Local Security Checks
high
40657Ubuntu 6.06 LTS / 8.04 LTS / 8.10 / 9.04 : curl vulnerability (USN-818-1)NessusUbuntu Local Security Checks
high
40650openSUSE Security Update : curl (curl-1180)NessusSuSE Local Security Checks
high
40643openSUSE Security Update : curl (curl-1180)NessusSuSE Local Security Checks
high
40608RHEL 3 / 4 / 5 : curl (RHSA-2009:1209)NessusRed Hat Local Security Checks
high
40598Slackware 10.0 / 10.1 / 10.2 / 11.0 / 12.0 / 12.1 / 12.2 / 9.1 / current : curl (SSA:2009-226-01)NessusSlackware Local Security Checks
high
40597Mandriva Linux Security Advisory : curl (MDVSA-2009:203-1)NessusMandriva Local Security Checks
high
40593CentOS 3 / 5 : curl (CESA-2009:1209)NessusCentOS Local Security Checks
high
5130Curl < 7.19.6 Certificate Validation Bypass Vulnerability Nessus Network MonitorWeb Clients
medium